### A free/open-source library for quantitative finance

Public Types | Public Member Functions | Protected Member Functions
MCHullWhiteCapFloorEngine< RNG, S > Class Template Reference
Cap/floor engines

Monte Carlo Hull-White engine for cap/floors. More...

`#include <ql/pricingengines/capfloor/mchullwhiteengine.hpp>`

Inheritance diagram for MCHullWhiteCapFloorEngine< RNG, S >:
[legend]

List of all members.

## Public Types

typedef simulation::path_generator_type | path_generator_type
typedef simulation::path_pricer_type | path_pricer_type
typedef simulation::stats_type | stats_type

## Public Member Functions

| MCHullWhiteCapFloorEngine (const boost::shared_ptr< HullWhite > &model, bool brownianBridge, bool antitheticVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)
void | calculate () const

## Protected Member Functions

boost::shared_ptr < path_pricer_type > | pathPricer () const
TimeGrid | timeGrid () const
boost::shared_ptr < path_generator_type > | pathGenerator () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCHullWhiteCapFloorEngine< RNG, S >

Monte Carlo Hull-White engine for cap/floors.